import { Card, Flex, Spin } from "antd";
import { useState } from "react";
import MyCenteredContainer from "../../Components/MyContainer";
import { useTranslation } from "react-i18next";

export default function Dashboard() {
  const { t } = useTranslation();

  const [isLoading, setIsLoading] = useState(true);

  return (
    <Card title={t("dashboard.pageTitle")}>
      {isLoading && (
        <MyCenteredContainer fullHeight height={800}>
          <Spin size="large" />
        </MyCenteredContainer>
      )}

      <Flex justify="center">
        <iframe
          src={process.env.REACT_APP_DASHBOARD_INTRODUCTION_VIDEO}
          onLoad={() => setIsLoading(false)}
          width="100%"
          height={800}
          style={{
            border: "none",
            zIndex: 2,
            display: isLoading ? "none" : "block",
            borderRadius: 12,
          }}
        />
      </Flex>
    </Card>
  );
}
